Jump to:

1160 Posts in 2621 Topics by 409 members

Upgrading SilverStripe

SilverStripe Forums » Upgrading SilverStripe » db flush error

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 1847 Views
  • redcirce
    Avatar
    Community Member
    22 Posts

    db flush error Link to this post

    Hi, I've upgraded my local copy of SilverStripe from 2.2.3 (I deleted the 2.2.3 versions of cms, jsparty & sapphire and replaced the folders with the 2.3 versions) and everything *appears* to have worked. The site still works, admin's fine, too. But when I try to flush the db, it starts building the db and creating db records, but then stops and I get an error:

    Website Error

    There has been an error

    The website server has not been able to respond to your request.

    Also, SilverStripe now seems slow, which is odd as it's only installed locally.

    Can anyone help, please.

    Many thanks in advance.

  • Hamish
    Avatar
    Community Member
    712 Posts

    Re: db flush error Link to this post

    Set your environment to "dev" and see if you get a more useful error.

    Ie, in _config.php, add:

    Director::set_environment_type("dev");

    1847 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.